Bug 1923888 - Fixes error metadata gathering
Summary: Fixes error metadata gathering
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Marcell Sevcsik
QA Contact: Pavel Šimovec
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-02 07:11 UTC by Marcell Sevcsik
Modified: 2021-02-24 15:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: It was left up to Go on how to serialize the error objects. Consequence: Depending on the error, the error might show up as an empty string/object in the metadata, which is not helpful. Fix: Just storing the error string (ie.: error.Error()). Result: Errors are stored correctly in the metadata. (in the produced archive, under insights-operator/gathers.json)
Clone Of:
Environment:
Last Closed: 2021-02-24 15:57:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 325 0 None open Bug 1923888: Fixes error metadata gathering 2021-02-02 07:19:35 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:58:06 UTC

Description Marcell Sevcsik 2021-02-02 07:11:55 UTC
Description of problem:

Errors produced by the gather-functions are supposed to be stored in the metadata, but because it was left up to go on how to parse/store the errors, so they either showed up correctly or just an empty object, which is not really helpful.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Pavel Šimovec 2021-02-04 07:31:30 UTC
internal change & tests passed

Comment 5 errata-xmlrpc 2021-02-24 15:57:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.